Wrapper around PhpDocumentor2 (so we retain PHP 5.2 compatibility in the main task)

author | Michiel Rook
version | $Id: 9057464ff65111ebba5b7d12cad8349e152ecc1f $
since | 2.4.10
package | phing.tasks.ext.phpdoc

### Methods

## Runs phpDocumentor 2

    run()

## Sets destination/target directory

    setDestDir(\PhingFile $destDir)

### Parameters

#### $destDir

`\PhingFile`

## Sets filesets array

    setFilesets(\FileSet[] $filesets)

### Parameters

#### $filesets

`\FileSet[]`

## Sets project instance

    setProject(\Project $project)

### Parameters

#### $project

`\Project`

## Forces phpDocumentor to be quiet

    setQuiet(boolean $quiet)

### Parameters

#### $quiet

`boolean`

## Sets the template to use

    setTemplate(\strings $template)

### Parameters

#### $template

`\strings`

## Sets the title of the project

    setTitle(\strings $title)

### Parameters

#### $title

`\strings`

## Finds and initializes the phpDocumentor installation

    initializePhpDocumentor()

## Build a list of files (from the fileset elements) and call the phpDocumentor parser

    parseFiles() : string

### Returns

`string`

### Properties

##

    $destDir : \PhingFile

##

    $filesets : \FileSet[]

##

    $phpDocumentorPath : string

##

    $project : \Project

##

    $quiet : boolean

todo | Make this work again

##

    $template : string

##

    $title : string